import { createWebHashHistory, createRouter } from 'vue-router';

import routes from './views/routes';

/**
 * 配置路由方案
 * @see https://router.vuejs.org/zh/guide/#%E5%88%9B%E5%BB%BA%E8%B7%AF%E7%94%B1%E5%99%A8%E5%AE%9E%E4%BE%8B
 */
const router = createRouter({
  history: createWebHashHistory(),
  routes
});

export default router;
